com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_disk_t

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_disk_t

Enclosing interface:
  Perfstat

    @Structure.FieldOrder(value={"name","description","vgname","size","free","bsize","xrate","xfers","wblks","rblks","qdepth","time","adapter","paths_count","q_full","rserv","rtimeout","rfailed","min_rserv","max_rserv","wserv","wtimeout","wfailed","min_wserv","max_wserv","wq_depth","wq_sampled","wq_time","wq_min_time","wq_max_time","q_sampled","wpar_id","version","dk_type"})
    public static class Perfstat.perfstat_disk_t
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte[]` `adapter`
`long` `bsize`
`byte[]` `description`
`int` `dk_type`
`long` `free`
`long` `max_rserv`
`long` `max_wserv`
`long` `min_rserv`
`long` `min_wserv`
`byte[]` `name`
`int` `paths_count`
`long` `q_full`
`long` `q_sampled`
`long` `qdepth`
`long` `rblks`
`long` `rfailed`
`long` `rserv`
`long` `rtimeout`
`long` `size`
`long` `time`
`long` `version`
`byte[]` `vgname`
`long` `wblks`
`long` `wfailed`
`short` `wpar_id`
`long` `wq_depth`
`long` `wq_max_time`
`long` `wq_min_time`
`long` `wq_sampled`
`long` `wq_time`
`long` `wserv`
`long` `wtimeout`
`long` `xfers`
`long` `xrate`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`perfstat_disk_t()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public byte[] name

#### description

    public byte[] description

#### vgname

    public byte[] vgname

#### size

    public long size

#### free

    public long free

#### bsize

    public long bsize

#### xrate

    public long xrate

#### xfers

    public long xfers

#### wblks

    public long wblks

#### rblks

    public long rblks

#### qdepth

    public long qdepth

#### time

    public long time

#### adapter

    public byte[] adapter

#### paths_count

    public int paths_count

#### q_full

    public long q_full

#### rserv

    public long rserv

#### rtimeout

    public long rtimeout

#### rfailed

    public long rfailed

#### min_rserv

    public long min_rserv

#### max_rserv

    public long max_rserv

#### wserv

    public long wserv

#### wtimeout

    public long wtimeout

#### wfailed

    public long wfailed

#### min_wserv

    public long min_wserv

#### max_wserv

    public long max_wserv

#### wq_depth

    public long wq_depth

#### wq_sampled

    public long wq_sampled

#### wq_time

    public long wq_time

#### wq_min_time

    public long wq_min_time

#### wq_max_time

    public long wq_max_time

#### q_sampled

    public long q_sampled

#### wpar_id

    public short wpar_id

#### version

    public long version

#### dk_type

    public int dk_type

### Constructor Detail

#### perfstat_disk_t

    public perfstat_disk_t()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.